Get endpoint
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索特定 终结点 对象的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Group.Read.All、Group.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
Application
Group.Read.All、Group.ReadWrite.All
HTTP 请求
GET /groups/{id}/endpoints/{id}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 Endpoint 对象。
示例
请求
GET https://graph.microsoft.com/beta/groups/{id}/endpoints/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var endpoint = await graphClient.Groups["{group-id}"].Endpoints["{endpoint-id}"]
.Request()
.GetAsync();
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var endpoint = await graphClient.Groups["{group-id}"].Endpoints["{endpoint-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let endpoint = await client.api('/groups/{id}/endpoints/{id}')
.version('beta')
.get();
const options = {
authProvider,
};
const client = Client.init(options);
let endpoint = await client.api('/groups/{id}/endpoints/{id}')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/groups/{id}/endpoints/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphEndpoint *endpoint = [[MSGraphEndpoint alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/groups/{id}/endpoints/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphEndpoint *endpoint = [[MSGraphEndpoint alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Endpoint endpoint = graphClient.groups("{id}").endpoints("{id}")
.buildRequest()
.get();
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Endpoint endpoint = graphClient.groups("{id}").endpoints("{id}")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
groupId := "group-id"
endpointId := "endpoint-id"
result, err := graphClient.GroupsById(&groupId).EndpointsById(&endpointId).Get()
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
groupId := "group-id"
endpointId := "endpoint-id"
result, err := graphClient.GroupsById(&groupId).EndpointsById(&endpointId).Get()
Import-Module Microsoft.Graph.Groups
Get-MgGroupEndpoint -GroupId $groupId -EndpointId $endpointId
Import-Module Microsoft.Graph.Groups
Get-MgGroupEndpoint -GroupId $groupId -EndpointId $endpointId
响应
下面是一个响应示例。
注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"capability": "Conversations",
"providerId": "{Yammer GUID}",
"providerName": "Yammer",
"uri": "uri-value",
"providerResourceId": "Yammer.FeedURL",
"id": "id-value"
}